javax.xml.stream

## Interface XMLReporter

    public interface XMLReporter

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `report(java.lang.String message, java.lang.String errorType, java.lang.Object relatedInformation, Location location)`

### Method Detail

#### report

    void report(java.lang.String message,
                java.lang.String errorType,
                java.lang.Object relatedInformation,
                Location location)
         throws XMLStreamException

Throws:
  `XMLStreamException`